## WebKitDOMEventTarget WebKitDOMEventTarget |

## Functions

gboolean | webkit_dom_event_target_dispatch_event ()
gboolean | webkit_dom_event_target_add_event_listener ()
gboolean | webkit_dom_event_target_remove_event_listener ()
gboolean | webkit_dom_event_target_add_event_listener_with_closure ()
gboolean | webkit_dom_event_target_remove_event_listener_with_closure ()

## Types and Values

| WebKitDOMEventTarget

## Object Hierarchy

        GInterface
        ╰── WebKitDOMEventTarget

## Prerequisites

WebKitDOMEventTarget requires GObject.

## Known Implementations

WebKitDOMEventTarget is implemented by WebKitDOMAttr, WebKitDOMCDATASection, WebKitDOMCharacterData, WebKitDOMComment, WebKitDOMDOMWindow, WebKitDOMDocument, WebKitDOMDocumentFragment, WebKitDOMDocumentType, WebKitDOMElement, WebKitDOMEntityReference, WebKitDOMHTMLAnchorElement, WebKitDOMHTMLAppletElement, WebKitDOMHTMLAreaElement, WebKitDOMHTMLBRElement, WebKitDOMHTMLBaseElement, WebKitDOMHTMLBaseFontElement, WebKitDOMHTMLBodyElement, WebKitDOMHTMLButtonElement, WebKitDOMHTMLCanvasElement, WebKitDOMHTMLDListElement, WebKitDOMHTMLDirectoryElement, WebKitDOMHTMLDivElement, WebKitDOMHTMLDocument, WebKitDOMHTMLElement, WebKitDOMHTMLEmbedElement, WebKitDOMHTMLFieldSetElement, WebKitDOMHTMLFontElement, WebKitDOMHTMLFormElement, WebKitDOMHTMLFrameElement, WebKitDOMHTMLFrameSetElement, WebKitDOMHTMLHRElement, WebKitDOMHTMLHeadElement, WebKitDOMHTMLHeadingElement, WebKitDOMHTMLHtmlElement, WebKitDOMHTMLIFrameElement, WebKitDOMHTMLImageElement, WebKitDOMHTMLInputElement, WebKitDOMHTMLLIElement, WebKitDOMHTMLLabelElement, WebKitDOMHTMLLegendElement, WebKitDOMHTMLLinkElement, WebKitDOMHTMLMapElement, WebKitDOMHTMLMarqueeElement, WebKitDOMHTMLMenuElement, WebKitDOMHTMLMetaElement, WebKitDOMHTMLModElement, WebKitDOMHTMLOListElement, WebKitDOMHTMLObjectElement, WebKitDOMHTMLOptGroupElement, WebKitDOMHTMLOptionElement, WebKitDOMHTMLParagraphElement, WebKitDOMHTMLParamElement, WebKitDOMHTMLPreElement, WebKitDOMHTMLQuoteElement, WebKitDOMHTMLScriptElement, WebKitDOMHTMLSelectElement, WebKitDOMHTMLStyleElement, WebKitDOMHTMLTableCaptionElement, WebKitDOMHTMLTableCellElement, WebKitDOMHTMLTableColElement, WebKitDOMHTMLTableElement, WebKitDOMHTMLTableRowElement, WebKitDOMHTMLTableSectionElement, WebKitDOMHTMLTextAreaElement, WebKitDOMHTMLTitleElement, WebKitDOMHTMLUListElement, WebKitDOMNode, WebKitDOMProcessingInstruction and WebKitDOMText.

## Description

## Functions

### webkit_dom_event_target_dispatch_event ()

    gboolean
    webkit_dom_event_target_dispatch_event
                                   (WebKitDOMEventTarget *target,
                                    WebKitDOMEvent *event,
                                    GError **error);

#### Returns

### webkit_dom_event_target_add_event_listener ()

    gboolean
    webkit_dom_event_target_add_event_listener
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GCallback handler,
                                    gboolean use_capture,
                                    gpointer user_data);

#### Returns

### webkit_dom_event_target_remove_event_listener ()

    gboolean
    webkit_dom_event_target_remove_event_listener
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GCallback handler,
                                    gboolean use_capture);

#### Returns

### webkit_dom_event_target_add_event_listener_with_closure ()

    gboolean
    webkit_dom_event_target_add_event_listener_with_closure
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GClosure *handler,
                                    gboolean use_capture);

#### Returns

### webkit_dom_event_target_remove_event_listener_with_closure ()

    gboolean
    webkit_dom_event_target_remove_event_listener_with_closure
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GClosure *handler,
                                    gboolean use_capture);

#### Returns

## Types and Values

### WebKitDOMEventTarget

    typedef struct _WebKitDOMEventTarget WebKitDOMEventTarget;